> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kosli.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.kosli.com/feedback

```json
{
  "path": "/api-reference/organizations/list-environment-notifications",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List environment notifications

> List environments-notifications for an org.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json get /organizations/{org}/environments_notifications
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /organizations/{org}/environments_notifications:
    get:
      tags:
        - Organizations
      summary: List environment notifications
      description: List environments-notifications for an org.
      operationId: >-
        get_environment_notifications_organizations__org__environments_notifications_get
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EnvNotificationsResponse'
                title: >-
                  Response 200 Get Environment Notifications Organizations  Org 
                  Environments Notifications Get
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    EnvNotificationsResponse:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        number:
          type: integer
          title: Number
        environments:
          items:
            type: string
          type: array
          title: Environments
        triggers:
          items:
            type: string
            enum:
              - ON_STARTED_ARTIFACT
              - ON_EXITED_ARTIFACT
              - ON_SCALED_ARTIFACT
              - ON_ALLOWED_ARTIFACT
              - ON_NON_COMPLIANT_ENV
              - ON_COMPLIANT_ENV
          type: array
          title: Triggers
        targets:
          items:
            anyOf:
              - $ref: '#/components/schemas/SlackTargetResponse'
              - $ref: '#/components/schemas/WebhookTargetResponse'
              - $ref: '#/components/schemas/EmailTargetResponse'
          type: array
          title: Targets
        created_by:
          type: string
          title: Created By
        is_created_from_slack_app:
          type: boolean
          title: Is Created From Slack App
        is_failing:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Failing
        last_success_timestamp:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Success Timestamp
        last_failure_timestamp:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Failure Timestamp
        created_at:
          anyOf:
            - type: number
            - type: 'null'
          title: Created At
        last_modified_at:
          type: number
          title: Last Modified At
      type: object
      required:
        - name
        - type
        - number
        - environments
        - triggers
        - targets
        - created_by
        - is_created_from_slack_app
        - last_modified_at
      title: EnvNotificationsResponse
      examples:
        - created_at: 1633123456
          created_by: user@example.com
          environments:
            - production
          is_created_from_slack_app: false
          is_failing: false
          last_modified_at: 1633123456
          last_success_timestamp: 1633123456
          name: production-notification
          number: 1
          targets:
            - payload_version: '1.0'
              type: WEBHOOK
              webhook: https://example.com/webhook
          triggers:
            - ON_STARTED_ARTIFACT
          type: env
    SlackTargetResponse:
      properties:
        type:
          type: string
          const: SLACK
          title: Type
        webhook:
          type: string
          title: Webhook
        last_success_at:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Success At
        last_failure_at:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Failure At
        context:
          anyOf:
            - $ref: '#/components/schemas/SlackAppContextResponse'
            - type: 'null'
      type: object
      required:
        - type
        - webhook
      title: SlackTargetResponse
    WebhookTargetResponse:
      properties:
        type:
          type: string
          const: WEBHOOK
          title: Type
        webhook:
          type: string
          title: Webhook
        payload_version:
          type: string
          title: Payload Version
          default: '1.0'
        last_success_at:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Success At
        last_failure_at:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Failure At
      type: object
      required:
        - type
        - webhook
      title: WebhookTargetResponse
    EmailTargetResponse:
      properties:
        type:
          type: string
          const: EMAIL
          title: Type
        emails:
          items:
            type: string
          type: array
          title: Emails
        last_success_at:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Success At
        last_failure_at:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Failure At
      type: object
      required:
        - type
        - emails
      title: EmailTargetResponse
    SlackAppContextResponse:
      properties:
        channel_id:
          type: string
          title: Channel Id
        channel_name:
          type: string
          title: Channel Name
        team_id:
          type: string
          title: Team Id
      type: object
      required:
        - channel_id
        - channel_name
        - team_id
      title: SlackAppContextResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````